Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface ClassMetadata

All Superinterfaces:
  Metadata, TypeMetadata

    public interface ClassMetadata

extends TypeMetadata

Represents a class.

Since:
  3.0

Method Summary
`ClassPersistenceModifier` | `getPersistenceModifier()` Accessor for the persistence modifier.
`FieldMetadata` | `newFieldMetadata(java.lang.reflect.Field fld)` Add a new field to this class.
`FieldMetadata` | `newFieldMetadata(java.lang.String name)` Add a new field to this class.
`ClassMetadata` | `setPersistenceModifier(ClassPersistenceModifier mod)` Method to define the persistence modifier.

Methods inherited from interface javax.jdo.metadata.TypeMetadata
`getCacheable, getCatalog, getColumns, getDatastoreIdentityMetadata, getDetachable, getEmbeddedOnly, getFetchGroups, getForeignKeys, getIdentityType, getIndices, getInheritanceMetadata, getJoins, getMembers, getName, getNumberOfColumns, getNumberOfFetchGroups, getNumberOfForeignKeys, getNumberOfIndices, getNumberOfJoins, getNumberOfMembers, getNumberOfQueries, getNumberOfUniques, getObjectIdClass, getPrimaryKeyMetadata, getQueries, getRequiresExtent, getSchema, getSerializeRead, getTable, getUniques, getVersionMetadata, newColumnMetadata, newDatastoreIdentityMetadata, newFetchGroupMetadata, newForeignKeyMetadata, newIndexMetadata, newInheritanceMetadata, newJoinMetadata, newPrimaryKeyMetadata, newPropertyMetadata, newPropertyMetadata, newQueryMetadata, newUniqueMetadata, newVersionMetadata, setCacheable, setCatalog, setDetachable, setEmbeddedOnly, setIdentityType, setObjectIdClass, setRequiresExtent, setSchema, setSerializeRead, setTable`

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setPersistenceModifier

    ClassMetadata setPersistenceModifier(ClassPersistenceModifier mod)

  Method to define the persistence modifier.

  Parameters:
    `mod` - persistence modifier

### getPersistenceModifier

    ClassPersistenceModifier getPersistenceModifier()

  Accessor for the persistence modifier.

  Returns:
    persistence modifier

### newFieldMetadata

    FieldMetadata newFieldMetadata(java.lang.String name)

  Add a new field to this class.

  Parameters:
    `name` - Name of the field
  Returns:
    The FieldMetadata

### newFieldMetadata

    FieldMetadata newFieldMetadata(java.lang.reflect.Field fld)

  Add a new field to this class.

  Parameters:
    `fld` - The field
  Returns:
    The FieldMetadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.